REST API call to retrieve stakeholder information based on the filters

Prev Next

Using this API call, you can retrieve the list of stakeholders and their information based on the filters you set.

GET request URL

https://<epo_server_name:port>/rest/dlp/incidents/stakeholders?stakeholderType=0&name=non_epo_user

Where

    • epo_server_name:port is the server IP address and port number.

    • stakeholderType ={n} based on the value of n, stakeholder type can be:

      • 0 = ePO users

      • 1 = Non-ePO users

    • name name of the stakeholder

    • email email address of the stakeholder

    • id ID of the stakeholder

Passing more than one filter parameter, shows the filtered results in the following order of priority: name > email > id. For example, passing parameters 'name' and 'id', shows the filtered results based on value passed for 'name'. The parameter that is in the lower order of priority is ignored.

Note

One of the three parameters: name, email, or id must be passed to filter for a stakeholder. Not passing any of these parameters result in a 400 Bad Request.

Request Parameters

Parameter name

Description

Required

Values

Authorization

User credentials for ePO - On-prem.

Required

stakeholderType={n}

Stakeholders and their associated information based on the value of n:

  • 0 = ePO users

  • 1 = Non-ePO users

Required

Number

name

Filter for stakeholder by name

Optional

String

email

Filter for stakeholder by email

Optional

String

id

Filter for stakeholder by ID

Optional

String

Sample GET request URL

https://172.27.108.53:8443/rest/dlp/incidents/stakeholders?stakeholderType=0&name=non_epo_user

Sample cURL command

curl -k -v -X GET 'https://172.27.108.53:8443/rest/dlp/incidents/stakeholders?stakeholderType=0&name=non_epo_user' -u '<user>:<password>'

Response parameters

The response to this API call returns the list of stakeholders and their information for the specified stakeholder type and filter.

Element

Description

Data type

stakeholderId

ID of the stakeholder

String

name

Name of the stakeholder

String

email

Email of the stakeholder

String

Sample response

{
    "stakeholderId": "9",
    "name": "non_epo_user",
    "email": "non_epo@gmail.com"
}

Status and error codes

List of HTTP status codes returned for the query.

Code

Description

200 OK

Returns the list of stakeholders based on the filter.

400 Bad Request

Returns a bad request if:

  • stakeholderType is missing.

  • stakeholderType has a non-numeric value.

  • stakeholderType is not either 0 or 1.

  • None of the three parameters are passed: name, email, or ID.

404 Not Found

Incorrect ePO - On-prem URL.

500 Internal Server Error

An error on the server side that failed the request. See the ePO - On-prem orion.log file for more details about the error.